# Voyage Handbook
Access [WikiVoyage](https://en.wikivoyage.org) conveniently from your phone!

## Roadmap
*(In no particular order)*

- [ ] Navigation in articles by heading
- [ ] Settings for reader
- [ ] Translate UI
- [ ] Support different WikiVoyage languages
- [ ] Bookmark articles
- [ ] Download articles
- [ ] Download whole countries
- [ ] Offline download
- [ ] Translation of articles into different languages

## Contributing
TODO

## Building
### Linux
1. Download the repository with its submodules:

```sh
git clone https://git.mnau.xyz/hernik/voyagehandbook --recursive
cd voyagehandbook
```

2. Install dependencies through flutter wrapper

```sh
./flutterw pub get
# check that android is set up correctly through flutter doctor
./flutterw doctor 
```

3. Run on your connected device

```sh
./flutterw run
```